# Values (ACF (Core) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands.annotation, annotation type: Values

Package co.aikar.commands.annotation

# Annotation Type Values

@Retention(RUNTIME) @Target({PARAMETER,ANNOTATION_TYPE}) public @interface Values
Specifies a list of values that the command input should be validated against, or else show an error. You may also use `CommandCompletion` handler codes here to feed dynamic values and avoid repetition.

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`value`

## Element Details

### value

String value